Subject: Re: bug#26140: [PATCH 7/7] gnu: obnam: Enable tests.

From: Marius Bakke <[email-masked]>
Date: Mon, 20 Mar 2017 07:50:34 +0100

Arun Isaac <[email-masked]> writes:

> Marius Bakke writes:
>
>> Arun Isaac <[email-masked]> writes:
>>
>>> * gnu/packages/backup.scm (obnam)[arguments]: Replace 'check' phase with
>>>   custom function.
>>
>> Thanks for these! I've commited them with some minor changes:
>>
>> GPL licenses changed to the "or later" variant; isort inputs were
>> native-inputs; adding a 'check' phase for configparser; and using
>> @code{} notation where applicable.
>
> Thanks for the improvements!
>
> You have changed the licenses of python-pylint and python-astroid to the
> "or later" variant. But, I don't think they are of the "or later"
> variant. Look at line 9 of
> https://github.com/PyCQA/pylint/blob/master/setup.py and line 6 of
> https://github.com/PyCQA/astroid/blob/master/setup.py

When no version is explicitly specified in the source headers, the "or
later" is assumed. See e.g.:

https://lists.gnu.org/archive/html/guix-devel/2017-02/msg00026.html

In addition, both of these packages ship a "debian/copyright" file that
uses the "or any later version" form:

https://github.com/PyCQA/pylint/blob/master/debian/copyright
https://github.com/PyCQA/astroid/blob/master/debian/copyright

So I believe the current information is correct.